C     Global Variables
C
C     Maxpart  = Maximum Number Of Particles
C     Npart    = Number Of Particles
C     Ibox     = In Which Box Is A Particle ?
C     Nbox     = Number Of Boxes (2 For Gibbs Ensemble, 1 For The Other Ones)
C     Rx/Ry/Rz = Coordinates
C     Ecut     = Cut-Off Energy
C     Rcutsq   = Cut-Off Radius Squared
C     Beta     = 1/Temperature
C     Etotal   = Total Energy Of A Box
C     Vtotal   = Total Virial Of A Box

      Integer Maxpart

      Parameter (Maxpart = 512)

      Integer Npart,Ibox(Maxpart),Npbox(2),Nbox

      Double Precision Rx(Maxpart),Ry(Maxpart),Rz(Maxpart),Box(2)
     $     ,Ecut,Rcutsq,Beta,Etotal(2),Vtotal(2)

      Common /Mycomms/ Rx,Ry,Rz,Box,Ecut,Rcutsq,Beta,Etotal
     $     ,Vtotal,Npart,Ibox,Npbox,Nbox
