      Subroutine Swap_Add(Av1,Av2,Press)
      Implicit None

C     Add Particle In The Grand-Canonical Ensemble

      Include 'commons.inc'

      Logical Laccept
      Double Precision Xi,Yi,Zi,Av1,Av2,Unew,Virnew,Randomnumber,Press

      If(Npart+1.Gt.Maxpart) Stop "Error Swapadd, Maxpart !!!"

      Av2 = Av2 + 1.0d0

      Xi = Randomnumber()*Box(1)
      Yi = Randomnumber()*Box(1)
      Zi = Randomnumber()*Box(1)

      Call Epart(1,Virnew,Unew,Xi,Yi,Zi,0)

      Call Accept(Dexp(-Beta*Unew)*Beta*Press*(Box(1)**3)/Dble(1+Npart),Laccept)
 
C     Accept Or Reject

      If(Laccept) Then
         Av1 = Av1 + 1.0d0

         Etotal(1) = Etotal(1) + Unew
         Vtotal(1) = Vtotal(1) + Virnew

         Npart = Npart + 1

         Rx(Npart)   = Xi
         Ry(Npart)   = Yi
         Rz(Npart)   = Zi
         Ibox(Npart) = 1

         Npbox(1) = Npbox(1) + 1
      Endif
      
      Return
      End
