      Function Rangauss()
      Implicit None
 
C     Generates Random Numbers From A Gaussian Distribution
 
      Double Precision RandomNumber,Rangauss,V1,V2,Rsq
 
 1    Continue
      V1  = 2.0d0*RandomNumber() - 1.0d0
      V2  = 2.0d0*RandomNumber() - 1.0d0
      Rsq = V1*V1 + V2*V2
 
      If (Rsq.Ge.1.0d0.Or.Rsq.Le.0.0d0) Goto 1
 
      Rangauss = V1*Dsqrt(-2.0d0*Dlog(Rsq)/Rsq)
 
      Return
      End
