      Subroutine Swap_Rem(Av1,Av2,Press)
      Implicit None

C     Remove A Particle In The Grand Canonical Ensemble

      Include 'commons.inc'

      Logical Laccept
      Integer Ipart
      Double Precision Xi,Yi,Zi,Randomnumber,Uold,Virold,Av1,Av2
     $     ,Press

      If(Npart.Eq.0) Return

      Ipart = 1 + Int(Dble(Npart)*Randomnumber())

      Xi = Rx(Ipart)
      Yi = Ry(Ipart)
      Zi = Rz(Ipart)

      Av2 = Av2 + 1.0d0

      Call Epart(1,Virold,Uold,Xi,Yi,Zi,Ipart)

      Call Accept(Dble(Npart)/((Box(1)**3)*Press*Beta*Dexp(-Beta*Uold)),Laccept)
 
C     Accept Or Reject

      If(Laccept) Then
         Av1 = Av1 + 1.0d0

         Etotal(1) = Etotal(1) - Uold
         Vtotal(1) = Vtotal(1) - Virold

         Npart    = Npart    - 1
         Npbox(1) = Npbox(1) - 1

         Rx(Ipart)   = Rx(Npart+1)
         Ry(Ipart)   = Ry(Npart+1)
         Rz(Ipart)   = Rz(Npart+1)
         Ibox(Ipart) = Ibox(Npart+1)
      Endif

      Return
      End
