      Subroutine Sample(Ic)
      Implicit None

C     Sample Simple Averages

      Include 'commons.inc'

      Integer Ic
      Double Precision Av1,Av2,Av3,Av4

      Save Av1,Av2,Av3,Av4

      If(Ic.Eq.1) Then

C     Set Counters To Zero

         Av1 = 0.0d0
         Av2 = 0.0d0
         Av3 = 0.0d0
         Av4 = 0.0d0

      Elseif(Ic.Eq.2) Then

C     Sample Ensemble Averages

         Av1 = Av1 + Etotal
         Av2 = Av2 + Etotal**2
         Av3 = Av3 + Dble(Npart)/(Beta*(Box**3)) + Vtotal/(3.0d0*(Box**3))
         Av4 = Av4 + 1.0d0

      Else

C     Write Averages
       
         Write(6,*)
         Write(6,*)
         Write(6,*) 'Averages'
         Write(6,*)
         Write(6,*) '<E>                  : ',Av1/Av4
         Write(6,*) '<P>                  : ',Av3/Av4
         Write(6,*) 'Cv                   : ',Beta*Beta*((Av2/Av4)-((Av1/Av4)**2))
      Endif

      Return
      End
