      Subroutine Epart(Ipart,U,X,Y,Z)
      Implicit None

      Include 'system.inc'

C     Compute The Energy Of Particle Ipart
C     At Position X,Y,Z
C     Only Used For Generating Starting Positions
C     See Init.f

      Integer I,Ipart
      Double Precision U,Dx,Dy,Dz,R2,X,Y,Z

      U = 0.0d0
    
      Do I=1,Numberofparticles
         If(I.Ne.Ipart) Then
            Dx = Rxx(I)-X
            Dy = Ryy(I)-Y
            Dz = Rzz(I)-Z

            If (Dx.Gt.HalfBox) Then
               Dx = Dx - Box
            Elseif (Dx.Lt. - HalfBox) Then
               Dx = Dx + Box
            Endif
 
            If (Dy.Gt.HalfBox) Then
               Dy = Dy - Box
            Elseif (Dy.Lt. - HalfBox) Then
               Dy = Dy + Box
            Endif
 
            If (Dz.Gt.HalfBox) Then
               Dz = Dz - Box
            Elseif (Dz.Lt. - HalfBox) Then
               Dz = Dz + Box
            Endif

            R2 = Dx**2 + Dy**2 + Dz**2

            If(R2.Lt.Rcutsq) Then
               R2 = 1.0d0/R2
               R2 = R2*R2*R2
               U  = U + 4.0d0*R2*(R2-1.0d0) - Ecut
            Endif
         Endif
      Enddo

      Return
      End
