C     System.Inc
C
C     Information About The System
C
C     Maxpart     : Maximum Number Of Particles
C
C     Fxx/Fyy/Fzz : Forces
C     Rxx/Ryy/Rzz : Positions
C     Mxx/Myy/Mzz : Positions That Are Not Put Back In The Box
C     Vxx/Vyy/Vzz : Velocities
C
C     I2tstep     : 1/(2*Tstep)
C
C     Rcutsq      : Cut-Off Radius Squared
C     Ecut        : Cut-Off Energy

      Integer MaxParticles

      Parameter (MaxParticles = 1000)

      Double Precision Fxx(MaxParticles),Fyy(MaxParticles),Fzz(MaxParticles),
     &                 Rxx(MaxParticles),Ryy(MaxParticles),Rzz(MaxParticles),
     &                 Vxx(MaxParticles),Vyy(MaxParticles),Vzz(MaxParticles),
     &                 Mxx(MaxParticles),Myy(MaxParticles),Mzz(MaxParticles),
     &                 TimeStep,TimeStep2,Box,HalfBox,
     &                 Rcutsq,Ecut,KineticEnergy,PotentialEnergy,
     &                 TotalEnergy,Temperature,Pressure,Freqandersen

      Integer          NumberOfSteps,NumberOfParticles,NumberOfInitSteps

      Common /Syss/    Fxx,Fyy,Fzz,Rxx,Ryy,Rzz,Temperature,Vxx,Vyy,Vzz
     $     ,TimeStep,TimeStep2,Box,HalfBox,KineticEnergy
     $     ,PotentialEnergy,Mxx,Myy,Mzz,TotalEnergy,Rcutsq,Ecut
     $     ,Pressure,Freqandersen,NumberOfSteps,NumberOfParticles
     $     ,NumberOfInitSteps
